/*******************************************************************************
** jb.css
**
** These CSS selectors are SPECIFIC to the custom site.
*/

/*******************************************************************************
** Full reset and some global things.
** http://meyerweb.com/eric/thoughts/2007/05/01/reset-reloaded/
*/

:root
{
/*	--C_MAIN: whitesmoke;
/*	--C_MAIN_MEDIUM: #D3D3D3;		/* LightGray */
/*	--C_MAIN_DARK: #696969;			/* DimGray */
/*	--C_SITE: #696969;				/* DimGray */
/*	--C_TABLE_BORDER: #696969;		/* DimGray */
	/* ********************************************* Debug */
/*	--C_MSG: #008000;					/* Green */
/*	--C_ERR: #B22222;					/* FireBrick */
	/* ********************************************* Colours for each site */

	--CS_RECIPES: #990009;			/* "wine" */
	--CS_MYYEAR: #006400;			/* "dark green" */	
	--CS_INFOTIPS: #FF69B4;			/* HotPink Older Vermillion #E34234 --- OrangeRed #FF4500 */
	--CS_FINCH: #87CEFA;	        /* LightSkyBlue, Cyan#E0FFFF  */
	--CS_MINECRAFT: #00AA00;	    /* 15f811 218021 Dark Green Minecraft #00AA00 */
	--CS_CELTIC: #4da5bd;			/* #218080  */
	--CS_ND: #FFD700;				/* GOLD -- OLD FireBrick #B22222 */
	--CS_AUTDHD_LIFE: #9370DB;		/* MediumPurple */

/*	--CS_CREATIVE: #7B68EE;			/* MediumSlateBlue */
/*	--CS_FAVOURITES: #008B8B;		/* DarkCyan */
/*	--CS_WISHLIST: #AF00BF;			/* HotMagenta */
/*	--CS_RECYCLING: #006400;	    /* DarkGreen */
/*	--CS_FODMAP: #212870;			/* "custom purpleish #655EC6" */
/*	--CS_TREASURES: #4B0082;		/* Indigo */
/*	--CS_EXERCISES: #FFA500;		/* Orange */

/*	--CS_THINGZ: #1E90FF;       	/* DodgerBlue */
/*	--CS_SHOPPING_LIST: #996633;	/* Shit brown */
/*	--CS_TO_WATCH: #C0C0C0;	 		/* Silver */

	--CS_HAPPY: #FFFF80;				/* "light yellow" */
	--CS_GENDER: #FFF50E;			/* SeaShell */
	/*csQueer*/
	--CS_SOCIAL_JUSTICE: black;	/* black */
	--CS_MENTAL_HEALTH: #8F00FF;	/* RebeccaPurple */
	--CS_POLYAMORY: blue;			/* Plum */
	--CS_WEIRD: #90EE90;				/* LightGreen */
	--CS_CRITTERS: #3CB371;			/* MediumSeaGreen */
	--CS_LIFE_HACKS: #87CEFA;		/* LightSkyBlue */

	--CS_HORSE_ISLE: #87CEEB;		/* SkyBlue */

/*	--INTENSITY_LOW: #FFFFFF;		/* Table row highlights */
/*	--INTENSITY_MED: #EEF5F5;*/
/*	--INTENSITY_HI : #CCE2E1;*/
}

/******************************************************************************/


.csRecipes
,td.csRecipes
{	background: var(--CS_RECIPES);}

.csMyYear
,td.csMyYear
{	background: var(--CS_MYYEAR);}


.csInfoTips
,td.csInfoTips
{	background: var(--CS_INFOTIPS);}

.csFINCH
,td.csFINCH
{	background: var(--CS_FINCH);}

.csMINECRAFT
,td.csMINECRAFT
{	background: var(--CS_MINECRAFT);}

/*{
	background: linear-gradient(
		green 35%, brown 35% );
}*/
.mnMINECRAFT
{
	background: linear-gradient(180deg, rgba(0,100,0,1) 20%, rgba(156,119,61,1) 80%);
/*	background: linear-gradient(180deg, rgba(21,248,17,1) 30%, rgba(156,119,61,1) 75%);	
/*	background: linear-gradient(180deg, #15f811, #33f504, #59eb00, #78de00, #8fcd00, #9fbb00, #a7a800, #aa981c, #a78a2c, #a28035, #9e793b, #9c773d);*/
}
.pgMINECRAFT
{
/*	background: linear-gradient(90deg, rgba(21,248,17,1) 30%, rgba(156,119,61,1) 75%);*/
	background: linear-gradient(90deg, #15f811, #33f504, #59eb00, #78de00, #8fcd00, #9fbb00, #a7a800, #aa981c, #a78a2c, #a28035, #9e793b, #9c773d);
}

.csCELTIC
,td.csCELTIC
{	background: var(--CS_CELTIC);}

.csND
,td.csND
{	background: var(--CS_ND);}


.csAutdhdLife
,td.csAutdhdLife
{	background: var(--CS_AUTDHD_LIFE);}

/******************************************************************************/
.csFODMAP
,td.csFODMAP
{	background: var(--CS_FODMAP);}

.csCreative
,td.csCreative
{	background: var(--CS_CREATIVE); }

.csFavourites
,td.csFavourites
{	background: var(--CS_FAVOURITES);}

.csTreasures
,td.csTreasures
{	background: var(--CS_TREASURES);}

.csWishList
,td.csWishList
{	background: var(--CS_WISHLIST);}

.csRecycling
,td.csRecycling
{	background: var(--CS_RECYCLING);}

.csExercises
{	background: var(--CS_EXERCISES);}


.csThingz
{	background: var(--CS_THINGZ);}

.csToWatch
{	background: var(--CS_TO_WATCH);}

.csShopping
{	background: var(--CS_SHOPPING_LIST);}

.csHappy
{	background: var(--CS_HAPPY);}


.csGender
{
/*	background-color: var(--CS_GENDER);*/
	background: linear-gradient(180deg, #F5A9B8, #FFFFFF 40% 60%, #5BCEFA);
	color: black;
}

.csQueer
{
	background: linear-gradient(
		red 16%, orange 16% 33%, yellow 33% 50%, green 50% 66%, blue 66% 83%, purple 83%);
	color: #222222;
}
/*
.csQueer 5 colour
{ background: linear-gradient(
	red 20%, orange 20% 40%, yellow 40% 60%, green 60% 80%, blue 80%);
} */

.csPolyamory
{	background: var(--CS_POLYAMORY);}

.csSocialJustice
{	background: var(--CS_SOCIAL_JUSTICE);
	color: white;
}

.csMentalHealth
{	background: var(--CS_MENTAL_HEALTH);
	color: white;
}

.csTrauma
{	background: var(--CS_TRAUMA);}

.csCritters
{	background: var(--CS_CRITTERS);}

.csLifeHacks
{	background: var(--CS_LIFE_HACKS);}

.csWeird
{	background: var(--CS_WEIRD);}

.csHorseIsle
{	background: var(--CS_HORSE_ISLE);}

/******************************************************************************/

#recipe
,.xstitch
,.zenaThumbs
,.thumbnails
,.booklist
{
	margin-bottom: 20px;	/* Every "block" should have spacing */
}

/*******************************************************************************
/* Gallery Page stuff - images and tables.
*/

.imgRecipes
{
	width: 400px;
	height: 400px;
	float: right;
	border: 0px;
}

.imgWish
{
	height: 125px;
	border: 0px;
}

.gallery img
,.xstitch img
{
	max-width: 175px;
	max-height: 150px;
/*	max-width: 175px;
	max-height: 115px;
*/
}

.booklist img
{
	height: 300px;
}

.zenaThumbs img
{
	width: 200px;
}

/*******************************************************************************
** Responsiveness.
*/

/******************************************************************************
@media screen and (max-width: 1199px)
{
} /* X < 1200 */

/******************************************************************************/
@media screen and (max-width: 999px)
{
.imgRecipes
{
	width: 200px;
	height: 200px;
}

} /* X < 1000 */

/******************************************************************************
@media screen and (max-width: 817px)
{
} /* X < 818 */

/******************************************************************************
@media screen and (max-width: 799px)
{
} /* X < 800 */

/******************************************************************************
@media screen and (max-width: 767px)
{
} /* X < 768 */

/******************************************************************************
@media screen and (max-width: 714px)
{
} /* X < 715 */

/******************************************************************************
@media screen and (max-width: 599px)
{
} /* X <= 600 */

/******************************************************************************
@media screen and (max-width: 549px)
{
} /* 0 <= X < 550 */

/******************************************************************************
@media screen and (max-width: 499px)
{
} /* 0 <= X < 500 */

/******************************************************************************
@media screen and (max-width: 479px)
{
} /* 0 <= X < 480 */

/******************************************************************************/
